org.eclipse.jgit.merge

## Class ThreeWayMergeStrategy

- java.lang.Object
- - org.eclipse.jgit.merge.MergeStrategy
  - - org.eclipse.jgit.merge.ThreeWayMergeStrategy

Direct Known Subclasses:
  StrategyResolve, StrategySimpleTwoWayInCore

    public abstract class ThreeWayMergeStrategy
    extends MergeStrategy

A merge strategy to merge 2 trees, using a common base ancestor tree.

### Field Summary

### Fields inherited from class org.eclipse.jgit.merge.MergeStrategy

`OURS, RECURSIVE, RESOLVE, SIMPLE_TWO_WAY_IN_CORE, THEIRS`

### Constructor Summary

Constructors
Constructor and Description
`ThreeWayMergeStrategy()`

### Method Summary

Methods
`abstract ThreeWayMerger` `newMerger(Repository db)` Create a new merge instance.
`abstract ThreeWayMerger` `newMerger(Repository db, boolean inCore)` Create a new merge instance.

### Methods inherited from class org.eclipse.jgit.merge.MergeStrategy

`get, get, getName, register, register`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ThreeWayMergeStrategy

    public ThreeWayMergeStrategy()

### Method Detail

#### newMerger

    public abstract ThreeWayMerger newMerger(Repository db)

Description copied from class: `MergeStrategy`
Create a new merge instance.

Specified by:
  `newMerger` in class `MergeStrategy`
Parameters:
  `db` - repository database the merger will read from, and eventually write results back to.
Returns:
  the new merge instance which implements this strategy.

#### newMerger

    public abstract ThreeWayMerger newMerger(Repository db,
                           boolean inCore)

Description copied from class: `MergeStrategy`
Create a new merge instance.

Specified by:
  `newMerger` in class `MergeStrategy`
Parameters:
  `db` - repository database the merger will read from, and eventually write results back to.
  `inCore` - the merge will happen in memory, working folder will not be modified, in case of a non-trivial merge that requires manual resolution, the merger will fail.
Returns:
  the new merge instance which implements this strategy.